Index: libs/spirit/test/escape_char_parser_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/escape_char_parser_tests.cpp,v
retrieving revision 1.14
diff -b -d -u -r1.14 escape_char_parser_tests.cpp
--- libs/spirit/test/escape_char_parser_tests.cpp	14 Oct 2005 14:46:13 -0000	1.14
+++ libs/spirit/test/escape_char_parser_tests.cpp	18 Feb 2006 22:55:12 -0000
@@ -12,7 +12,7 @@
 #include <boost/spirit/utility/escape_char.hpp>
 
 #include <iostream>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 #include <cstdio>       // for sprintf
 
 #if !defined(BOOST_NO_CWCHAR) && !defined(BOOST_NO_SWPRINTF)
@@ -30,91 +30,91 @@
     char c;
 
     // testing good C escapes
-    assert(parse("a", c_escape_ch_p[assign_a(c)]).full);
-    assert(c == 'a');
-    assert(parse("\\b", c_escape_ch_p[assign_a(c)]).full);
-    assert(c == '\b');
-    assert(parse("\\t", c_escape_ch_p[assign_a(c)]).full);
-    assert(c == '\t');
-    assert(parse("\\n", c_escape_ch_p[assign_a(c)]).full);
-    assert(c == '\n');
-    assert(parse("\\f", c_escape_ch_p[assign_a(c)]).full);
-    assert(c == '\f');
-    assert(parse("\\r", c_escape_ch_p[assign_a(c)]).full);
-    assert(c == '\r');
-    assert(parse("\\\"", c_escape_ch_p[assign_a(c)]).full);
-    assert(c == '\"');
-    assert(parse("\\'", c_escape_ch_p[assign_a(c)]).full);
-    assert(c == '\'');
-    assert(parse("\\\\", c_escape_ch_p[assign_a(c)]).full);
-    assert(c == '\\');
-    assert(parse("\\120", c_escape_ch_p[assign_a(c)]).full);
-    assert(c == '\120');
-    assert(parse("\\x2e", c_escape_ch_p[assign_a(c)]).full);
-    assert(c == '\x2e');
+    BOOST_TEST(parse("a", c_escape_ch_p[assign_a(c)]).full);
+    BOOST_TEST(c == 'a');
+    BOOST_TEST(parse("\\b", c_escape_ch_p[assign_a(c)]).full);
+    BOOST_TEST(c == '\b');
+    BOOST_TEST(parse("\\t", c_escape_ch_p[assign_a(c)]).full);
+    BOOST_TEST(c == '\t');
+    BOOST_TEST(parse("\\n", c_escape_ch_p[assign_a(c)]).full);
+    BOOST_TEST(c == '\n');
+    BOOST_TEST(parse("\\f", c_escape_ch_p[assign_a(c)]).full);
+    BOOST_TEST(c == '\f');
+    BOOST_TEST(parse("\\r", c_escape_ch_p[assign_a(c)]).full);
+    BOOST_TEST(c == '\r');
+    BOOST_TEST(parse("\\\"", c_escape_ch_p[assign_a(c)]).full);
+    BOOST_TEST(c == '\"');
+    BOOST_TEST(parse("\\'", c_escape_ch_p[assign_a(c)]).full);
+    BOOST_TEST(c == '\'');
+    BOOST_TEST(parse("\\\\", c_escape_ch_p[assign_a(c)]).full);
+    BOOST_TEST(c == '\\');
+    BOOST_TEST(parse("\\120", c_escape_ch_p[assign_a(c)]).full);
+    BOOST_TEST(c == '\120');
+    BOOST_TEST(parse("\\x2e", c_escape_ch_p[assign_a(c)]).full);
+    BOOST_TEST(c == '\x2e');
 
     // test bad C escapes
-    assert(!parse("\\z", c_escape_ch_p[assign_a(c)]).hit);
+    BOOST_TEST(!parse("\\z", c_escape_ch_p[assign_a(c)]).hit);
 
     // testing good lex escapes
-    assert(parse("a", lex_escape_ch_p[assign_a(c)]).full);
-    assert(c == 'a');
-    assert(parse("\\b", lex_escape_ch_p[assign_a(c)]).full);
-    assert(c == '\b');
-    assert(parse("\\t", lex_escape_ch_p[assign_a(c)]).full);
-    assert(c == '\t');
-    assert(parse("\\n", lex_escape_ch_p[assign_a(c)]).full);
-    assert(c == '\n');
-    assert(parse("\\f", lex_escape_ch_p[assign_a(c)]).full);
-    assert(c == '\f');
-    assert(parse("\\r", lex_escape_ch_p[assign_a(c)]).full);
-    assert(c == '\r');
-    assert(parse("\\\"", lex_escape_ch_p[assign_a(c)]).full);
-    assert(c == '\"');
-    assert(parse("\\'", lex_escape_ch_p[assign_a(c)]).full);
-    assert(c == '\'');
-    assert(parse("\\\\", lex_escape_ch_p[assign_a(c)]).full);
-    assert(c == '\\');
-    assert(parse("\\120", lex_escape_ch_p[assign_a(c)]).full);
-    assert(c == '\120');
-    assert(parse("\\x2e", lex_escape_ch_p[assign_a(c)]).full);
-    assert(c == '\x2e');
-    assert(parse("\\z", lex_escape_ch_p[assign_a(c)]).full);
-    assert(c == 'z');
-    assert(parse("\\a", lex_escape_ch_p[assign_a(c)]).full);
-    assert(c == 'a');
+    BOOST_TEST(parse("a", lex_escape_ch_p[assign_a(c)]).full);
+    BOOST_TEST(c == 'a');
+    BOOST_TEST(parse("\\b", lex_escape_ch_p[assign_a(c)]).full);
+    BOOST_TEST(c == '\b');
+    BOOST_TEST(parse("\\t", lex_escape_ch_p[assign_a(c)]).full);
+    BOOST_TEST(c == '\t');
+    BOOST_TEST(parse("\\n", lex_escape_ch_p[assign_a(c)]).full);
+    BOOST_TEST(c == '\n');
+    BOOST_TEST(parse("\\f", lex_escape_ch_p[assign_a(c)]).full);
+    BOOST_TEST(c == '\f');
+    BOOST_TEST(parse("\\r", lex_escape_ch_p[assign_a(c)]).full);
+    BOOST_TEST(c == '\r');
+    BOOST_TEST(parse("\\\"", lex_escape_ch_p[assign_a(c)]).full);
+    BOOST_TEST(c == '\"');
+    BOOST_TEST(parse("\\'", lex_escape_ch_p[assign_a(c)]).full);
+    BOOST_TEST(c == '\'');
+    BOOST_TEST(parse("\\\\", lex_escape_ch_p[assign_a(c)]).full);
+    BOOST_TEST(c == '\\');
+    BOOST_TEST(parse("\\120", lex_escape_ch_p[assign_a(c)]).full);
+    BOOST_TEST(c == '\120');
+    BOOST_TEST(parse("\\x2e", lex_escape_ch_p[assign_a(c)]).full);
+    BOOST_TEST(c == '\x2e');
+    BOOST_TEST(parse("\\z", lex_escape_ch_p[assign_a(c)]).full);
+    BOOST_TEST(c == 'z');
+    BOOST_TEST(parse("\\a", lex_escape_ch_p[assign_a(c)]).full);
+    BOOST_TEST(c == 'a');
 
     // test bad lex escapes
-    assert(!parse("\\xz", lex_escape_ch_p[assign_a(c)]).hit);
+    BOOST_TEST(!parse("\\xz", lex_escape_ch_p[assign_a(c)]).hit);
 
     // test out of range octal escape
-    assert(!parse("\\777", lex_escape_ch_p[assign_a(c)]).hit);
+    BOOST_TEST(!parse("\\777", lex_escape_ch_p[assign_a(c)]).hit);
 
 #if CHAR_MAX == 127
-    assert(!parse("\\200", lex_escape_ch_p[assign_a(c)]).hit);
+    BOOST_TEST(!parse("\\200", lex_escape_ch_p[assign_a(c)]).hit);
 
-    assert(parse("\\177", lex_escape_ch_p[assign_a(c)]).full);
-    assert(c == '\177');
+    BOOST_TEST(parse("\\177", lex_escape_ch_p[assign_a(c)]).full);
+    BOOST_TEST(c == '\177');
 #elif CHAR_MAX == 255
-    assert(!parse("\\400", lex_escape_ch_p[assign_a(c)]).hit);
+    BOOST_TEST(!parse("\\400", lex_escape_ch_p[assign_a(c)]).hit);
 
-    assert(parse("\\377", lex_escape_ch_p[assign_a(c)]).full);
-    assert(c == '\377');
+    BOOST_TEST(parse("\\377", lex_escape_ch_p[assign_a(c)]).full);
+    BOOST_TEST(c == '\377');
 #endif
 
     // test out of range hex escape
-    assert(!parse("\\xFFF", lex_escape_ch_p[assign_a(c)]).hit);
+    BOOST_TEST(!parse("\\xFFF", lex_escape_ch_p[assign_a(c)]).hit);
 
 #if CHAR_MAX == 127
-    assert(!parse("\\X80", lex_escape_ch_p[assign_a(c)]).hit);
+    BOOST_TEST(!parse("\\X80", lex_escape_ch_p[assign_a(c)]).hit);
 
-    assert(parse("\\X7F", lex_escape_ch_p[assign_a(c)]).full);
-    assert(c == '\x7f');
+    BOOST_TEST(parse("\\X7F", lex_escape_ch_p[assign_a(c)]).full);
+    BOOST_TEST(c == '\x7f');
 #elif CHAR_MAX == 255
-    assert(!parse("\\X100", lex_escape_ch_p[assign_a(c)]).hit);
+    BOOST_TEST(!parse("\\X100", lex_escape_ch_p[assign_a(c)]).hit);
 
-    assert(parse("\\XFf", lex_escape_ch_p[assign_a(c)]).full);
-    assert(c == '\xff');
+    BOOST_TEST(parse("\\XFf", lex_escape_ch_p[assign_a(c)]).full);
+    BOOST_TEST(c == '\xff');
 #endif
 
 #ifndef BOOST_NO_CWCHAR
@@ -130,31 +130,31 @@
     //wchar_t const* wend(wstr + wcslen(wstr));
 
     wchar_t wc;
-    assert(parse(L"a", wcep[assign_a(wc)]).hit);
-    assert(wc == L'a');
-    assert(parse(L"\\b", wcep[assign_a(wc)]).full);
-    assert(wc == L'\b');
-    assert(parse(L"\\t", wcep[assign_a(wc)]).full);
-    assert(wc == L'\t');
-    assert(parse(L"\\n", wcep[assign_a(wc)]).full);
-    assert(wc == L'\n');
-    assert(parse(L"\\f", wcep[assign_a(wc)]).full);
-    assert(wc == L'\f');
-    assert(parse(L"\\r", wcep[assign_a(wc)]).full);
-    assert(wc == L'\r');
-    assert(parse(L"\\\"", wcep[assign_a(wc)]).full);
-    assert(wc == L'\"');
-    assert(parse(L"\\'", wcep[assign_a(wc)]).full);
-    assert(wc == L'\'');
-    assert(parse(L"\\\\", wcep[assign_a(wc)]).full);
-    assert(wc == L'\\');
-    assert(parse(L"\\120", wcep[assign_a(wc)]).full);
-    assert(wc == L'\120');
-    assert(parse(L"\\x2e", wcep[assign_a(wc)]).full);
-    assert(wc == L'\x2e');
+    BOOST_TEST(parse(L"a", wcep[assign_a(wc)]).hit);
+    BOOST_TEST(wc == L'a');
+    BOOST_TEST(parse(L"\\b", wcep[assign_a(wc)]).full);
+    BOOST_TEST(wc == L'\b');
+    BOOST_TEST(parse(L"\\t", wcep[assign_a(wc)]).full);
+    BOOST_TEST(wc == L'\t');
+    BOOST_TEST(parse(L"\\n", wcep[assign_a(wc)]).full);
+    BOOST_TEST(wc == L'\n');
+    BOOST_TEST(parse(L"\\f", wcep[assign_a(wc)]).full);
+    BOOST_TEST(wc == L'\f');
+    BOOST_TEST(parse(L"\\r", wcep[assign_a(wc)]).full);
+    BOOST_TEST(wc == L'\r');
+    BOOST_TEST(parse(L"\\\"", wcep[assign_a(wc)]).full);
+    BOOST_TEST(wc == L'\"');
+    BOOST_TEST(parse(L"\\'", wcep[assign_a(wc)]).full);
+    BOOST_TEST(wc == L'\'');
+    BOOST_TEST(parse(L"\\\\", wcep[assign_a(wc)]).full);
+    BOOST_TEST(wc == L'\\');
+    BOOST_TEST(parse(L"\\120", wcep[assign_a(wc)]).full);
+    BOOST_TEST(wc == L'\120');
+    BOOST_TEST(parse(L"\\x2e", wcep[assign_a(wc)]).full);
+    BOOST_TEST(wc == L'\x2e');
 
     // test bad wc escapes
-    assert(!parse(L"\\z", wcep[assign_a(wc)]).hit);
+    BOOST_TEST(!parse(L"\\z", wcep[assign_a(wc)]).hit);
 
     // test out of range octal escape
     size_t const octmax_size = 16;
@@ -163,13 +163,13 @@
 #if !defined(BOOST_NO_SWPRINTF)
     swprintf(octmax, octmax_size,
       L"\\%lo", (unsigned long)(std::numeric_limits<wchar_t>::max)());
-    assert(parse(octmax, wlep[assign_a(wc)]).full);
-    //assert(lex_escape_ch_p[assign_a(wc)].parse(str, end));
-    assert(wc == (std::numeric_limits<wchar_t>::max)());
+    BOOST_TEST(parse(octmax, wlep[assign_a(wc)]).full);
+    //BOOST_TEST(lex_escape_ch_p[assign_a(wc)].parse(str, end));
+    BOOST_TEST(wc == (std::numeric_limits<wchar_t>::max)());
 
     swprintf(octmax, octmax_size,
       L"\\%lo", (unsigned long)(std::numeric_limits<wchar_t>::max)() + 1);
-    assert(!parse(octmax, wlep[assign_a(wc)]).hit);
+    BOOST_TEST(!parse(octmax, wlep[assign_a(wc)]).hit);
 
     // test out of range hex escape
     size_t const hexmax_size = 16;
@@ -177,15 +177,15 @@
 
     swprintf(hexmax, hexmax_size,
       L"\\x%lx", (unsigned long)(std::numeric_limits<wchar_t>::max)());
-    assert(parse(hexmax, wlep[assign_a(wc)]).full);
-    assert(wc == (std::numeric_limits<wchar_t>::max)());
+    BOOST_TEST(parse(hexmax, wlep[assign_a(wc)]).full);
+    BOOST_TEST(wc == (std::numeric_limits<wchar_t>::max)());
 
     swprintf(hexmax, hexmax_size,
       L"\\x%lx", (unsigned long)(std::numeric_limits<wchar_t>::max)() + 1);
-    assert(!parse(hexmax, wlep[assign_a(wc)]).hit);
+    BOOST_TEST(!parse(hexmax, wlep[assign_a(wc)]).hit);
 #endif // !defined(BOOST_NO_SWPRINTF)
 
 #endif
 
-    return 0;
+    return boost::report_errors();
 }
Index: libs/spirit/test/exception_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/exception_tests.cpp,v
retrieving revision 1.7
diff -b -d -u -r1.7 exception_tests.cpp
--- libs/spirit/test/exception_tests.cpp	9 Jul 2004 08:30:38 -0000	1.7
+++ libs/spirit/test/exception_tests.cpp	18 Feb 2006 22:55:12 -0000
@@ -9,7 +9,7 @@
 #include <boost/spirit/core.hpp>
 #include <boost/spirit/error_handling/exceptions.hpp>
 #include <iostream>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 
 using namespace std;
 using namespace boost::spirit;
@@ -43,7 +43,7 @@
             ]
         ).full;
 
-    assert(!r);
-    return 0;
+    BOOST_TEST(!r);
+    return boost::report_errors();
 }
 
Index: libs/spirit/test/file_iterator_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/file_iterator_tests.cpp,v
retrieving revision 1.7
diff -b -d -u -r1.7 file_iterator_tests.cpp
--- libs/spirit/test/file_iterator_tests.cpp	31 Jan 2006 07:59:17 -0000	1.7
+++ libs/spirit/test/file_iterator_tests.cpp	18 Feb 2006 22:55:12 -0000
@@ -6,7 +6,7 @@
     License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at
     http://www.boost.org/LICENSE_1_0.txt)
 =============================================================================*/
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 #include <cstdio>
 #include <iostream>
 #include <boost/concept_check.hpp>
@@ -53,79 +53,79 @@
 {
     // Check constructor opening a file
     ITER a(TMP_FILE);
-    assert(!!a);
+    BOOST_TEST(!!a);
 
     // Assert dereference (twice: derefence
     //  must not move the iterator)
-    assert(*a == 0);
-    assert(*a == 0);
+    BOOST_TEST(*a == 0);
+    BOOST_TEST(*a == 0);
 
     // Check random access
-    assert(a[123] == 123);
+    BOOST_TEST(a[123] == 123);
 
     // Check copy constructor and operator==
     ITER c(a);
-    assert(c == a);
-    assert(!(c != a));
+    BOOST_TEST(c == a);
+    BOOST_TEST(!(c != a));
 
     // Check assignment operator
     ITER d; d = a;
-    assert(d == a);
-    assert(!(d != a));
+    BOOST_TEST(d == a);
+    BOOST_TEST(!(d != a));
 
     // Check make_end()
     ITER b(a.make_end());
-    assert(!!b);
-    assert(a != b);
-    assert(a+256 == b);
-    assert(a == b-256);
+    BOOST_TEST(!!b);
+    BOOST_TEST(a != b);
+    BOOST_TEST(a+256 == b);
+    BOOST_TEST(a == b-256);
 
     // Check copy constructor on non-trivial position
-    assert(*ITER(a+67) == 67);
+    BOOST_TEST(*ITER(a+67) == 67);
 
     // Check increment
     ++a; ++a; a++; a++;
-    assert(*a == 4);
-    assert(a == c+4);
+    BOOST_TEST(*a == 4);
+    BOOST_TEST(a == c+4);
 
     // Check decrement
     --a; --a; a--; a--;
-    assert(*a == 0);
-    assert(a == c);
+    BOOST_TEST(*a == 0);
+    BOOST_TEST(a == c);
 
     // Check end iterator increment/decrement
     --b; b--;
-    assert(*b == 254);
-    assert(a+254 == b);
+    BOOST_TEST(*b == 254);
+    BOOST_TEST(a+254 == b);
     ++b; b++;
-    assert(a+256 == b);
+    BOOST_TEST(a+256 == b);
 
     // Check order
     a += 128;
-    assert(c < a);
-    assert(a < b);
-    assert(a > c);
-    assert(b > a);
+    BOOST_TEST(c < a);
+    BOOST_TEST(a < b);
+    BOOST_TEST(a > c);
+    BOOST_TEST(b > a);
 
     // Check assignment
     a = b;
-    assert(a == b);
+    BOOST_TEST(a == b);
     a = c;
-    assert(a == c);
+    BOOST_TEST(a == c);
 
     // Check weak order
-    assert(a <= c);
-    assert(a >= c);
-    assert(a <= b);
-    assert(!(a >= b));
+    BOOST_TEST(a <= c);
+    BOOST_TEST(a >= c);
+    BOOST_TEST(a <= b);
+    BOOST_TEST(!(a >= b));
 
     // Check increment through end
     a += 255;
-    assert(a != b);
+    BOOST_TEST(a != b);
     ++a;
-    assert(a == b);
+    BOOST_TEST(a == b);
     ++a;
-    assert(a != b);
+    BOOST_TEST(a != b);
 }
 
 ///////////////////////////////////////////////////////////////////////////////
@@ -169,10 +169,9 @@
 #endif
 
     // Check if the file handles were closed correctly
-    assert(remove(TMP_FILE) == 0);
+    BOOST_TEST(remove(TMP_FILE) == 0);
 
-    cerr << "Test completed successfully" << endl;
-    return 0;
+    return boost::report_errors();
 }
 
 #ifdef BOOST_NO_EXCEPTIONS
@@ -180,7 +179,7 @@
 namespace boost {
     void throw_exception(std::exception const& e)
     {
-        assert(0);
+        BOOST_EROR("throw_exception");
     }
 }
 
Index: libs/spirit/test/fixed_size_queue_fail_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/fixed_size_queue_fail_tests.cpp,v
retrieving revision 1.5
diff -b -d -u -r1.5 fixed_size_queue_fail_tests.cpp
--- libs/spirit/test/fixed_size_queue_fail_tests.cpp	2 Sep 2004 15:41:37 -0000	1.5
+++ libs/spirit/test/fixed_size_queue_fail_tests.cpp	18 Feb 2006 22:55:12 -0000
@@ -11,7 +11,7 @@
 #include <boost/mpl/assert.hpp>
 #include <boost/type_traits/is_same.hpp>
 #include <boost/concept_check.hpp>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 #include <iostream>
 
 typedef boost::spirit::fixed_size_queue<int, 5> queue_t;
@@ -59,8 +59,6 @@
     (void) c+4 > b;
     (void) c < b+4;
 
-    std::cout << "Test completed succesfully" << std::endl;
-
-    return 0;
+    return boost::report_errors();
 }
 
Index: libs/spirit/test/fixed_size_queue_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/fixed_size_queue_tests.cpp,v
retrieving revision 1.9
diff -b -d -u -r1.9 fixed_size_queue_tests.cpp
--- libs/spirit/test/fixed_size_queue_tests.cpp	2 Sep 2004 15:41:37 -0000	1.9
+++ libs/spirit/test/fixed_size_queue_tests.cpp	18 Feb 2006 22:55:12 -0000
@@ -11,7 +11,7 @@
 #include <boost/mpl/assert.hpp>
 #include <boost/type_traits/is_same.hpp>
 #include <boost/concept_check.hpp>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 #include <iostream>
 
 typedef boost::spirit::fixed_size_queue<int, 5> queue_t;
@@ -34,25 +34,25 @@
     q.push_back(2);
     q.push_back(3);
     q.push_back(4);
-    assert(q.front() == 1);
+    BOOST_TEST(q.front() == 1);
     q.pop_front();
-    assert(q.front() == 2);
+    BOOST_TEST(q.front() == 2);
     q.pop_front();
-    assert(q.front() == 3);
+    BOOST_TEST(q.front() == 3);
     q.pop_front();
-    assert(q.front() == 4);
+    BOOST_TEST(q.front() == 4);
     q.pop_front();
     q.push_back(5);
     q.push_back(6);
     q.push_back(7);
     q.push_back(8);
-    assert(q.front() == 5);
+    BOOST_TEST(q.front() == 5);
     q.pop_front();
-    assert(q.front() == 6);
+    BOOST_TEST(q.front() == 6);
     q.pop_front();
-    assert(q.front() == 7);
+    BOOST_TEST(q.front() == 7);
     q.pop_front();
-    assert(q.front() == 8);
+    BOOST_TEST(q.front() == 8);
     q.pop_front();
 
     q.push_front(5);
@@ -65,33 +65,33 @@
 
     // Check iterator
     iter_t b = q.begin();
-    assert(*b++ == 1);
-    assert(*b++ == 2);
-    assert(*b++ == 3);
-    assert(*b++ == 4);
-    assert(*b++ == 5);
-    assert(b == q.end());
-    assert(*--b == 5);
-    assert(*--b == 4);
-    assert(*--b == 3);
-    assert(*--b == 2);
-    assert(*--b == 1);
-    assert(b == q.begin());
+    BOOST_TEST(*b++ == 1);
+    BOOST_TEST(*b++ == 2);
+    BOOST_TEST(*b++ == 3);
+    BOOST_TEST(*b++ == 4);
+    BOOST_TEST(*b++ == 5);
+    BOOST_TEST(b == q.end());
+    BOOST_TEST(*--b == 5);
+    BOOST_TEST(*--b == 4);
+    BOOST_TEST(*--b == 3);
+    BOOST_TEST(*--b == 2);
+    BOOST_TEST(*--b == 1);
+    BOOST_TEST(b == q.begin());
 
     // Check const_iterator
     const_iter_t c = cq.begin();
-    assert(*c++ == 1);
-    assert(*c++ == 2);
-    assert(*c++ == 3);
-    assert(*c++ == 4);
-    assert(*c++ == 5);
-    assert(c == cq.end());
-    assert(*--c == 5);
-    assert(*--c == 4);
-    assert(*--c == 3);
-    assert(*--c == 2);
-    assert(*--c == 1);
-    assert(c == cq.begin());
+    BOOST_TEST(*c++ == 1);
+    BOOST_TEST(*c++ == 2);
+    BOOST_TEST(*c++ == 3);
+    BOOST_TEST(*c++ == 4);
+    BOOST_TEST(*c++ == 5);
+    BOOST_TEST(c == cq.end());
+    BOOST_TEST(*--c == 5);
+    BOOST_TEST(*--c == 4);
+    BOOST_TEST(*--c == 3);
+    BOOST_TEST(*--c == 2);
+    BOOST_TEST(*--c == 1);
+    BOOST_TEST(c == cq.begin());
 
 #if 0
 
@@ -118,22 +118,20 @@
 
     //  Check comparisons and interoperations (we are comparing
     //  const and non-const iterators)
-    assert(c == b);
-    assert(c+4 > b);
-    assert(c < b+4);
+    BOOST_TEST(c == b);
+    BOOST_TEST(c+4 > b);
+    BOOST_TEST(c < b+4);
 
 #endif
 
     // Check that you can actually modify the queue with an iterator
     *b = 123;
-    assert(*c == 123);
+    BOOST_TEST(*c == 123);
 
     // Check random access
-    assert(*((c+4)-4) == 123);
-    assert(*((c-4)+4) == 123);
-
-    std::cout << "Test completed succesfully" << std::endl;
+    BOOST_TEST(*((c+4)-4) == 123);
+    BOOST_TEST(*((c-4)+4) == 123);
 
-    return 0;
+    return boost::report_errors();
 }
 
Index: libs/spirit/test/fundamental_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/fundamental_tests.cpp,v
retrieving revision 1.7
diff -b -d -u -r1.7 fundamental_tests.cpp
--- libs/spirit/test/fundamental_tests.cpp	9 Jul 2004 08:30:38 -0000	1.7
+++ libs/spirit/test/fundamental_tests.cpp	18 Feb 2006 22:55:12 -0000
@@ -12,7 +12,7 @@
 //
 ///////////////////////////////////////////////////////////////////////////////
 
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 #include <iostream>
 #include <boost/static_assert.hpp>
 #include <boost/spirit/core.hpp>
@@ -90,7 +90,6 @@
     node_count_tests();
     leaf_count_tests();
 
-    cout << "Tests concluded successfully\n";
-    return 0;
+    return boost::report_errors();
 }
 
Index: libs/spirit/test/grammar_multi_instance_tst.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/grammar_multi_instance_tst.cpp,v
retrieving revision 1.1
diff -b -d -u -r1.1 grammar_multi_instance_tst.cpp
--- libs/spirit/test/grammar_multi_instance_tst.cpp	13 Sep 2004 09:24:06 -0000	1.1
+++ libs/spirit/test/grammar_multi_instance_tst.cpp	18 Feb 2006 22:55:12 -0000
@@ -7,7 +7,7 @@
     http://www.boost.org/LICENSE_1_0.txt)
 =============================================================================*/
 #include <iostream>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 #include <boost/spirit/core.hpp>
 
 using namespace boost::spirit;
@@ -43,9 +43,8 @@
     grammar_tests();
     grammar_tests();
     grammar_tests();
-    assert(g_count == 3);
+    BOOST_TEST(g_count == 3);
 
-    cout << "Tests concluded successfully\n";
-    return 0;
+    return boost::report_errors();
 }
 
Index: libs/spirit/test/grammar_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/grammar_tests.cpp,v
retrieving revision 1.9
diff -b -d -u -r1.9 grammar_tests.cpp
--- libs/spirit/test/grammar_tests.cpp	9 Jul 2004 08:30:38 -0000	1.9
+++ libs/spirit/test/grammar_tests.cpp	18 Feb 2006 22:55:12 -0000
@@ -8,7 +8,7 @@
     http://www.boost.org/LICENSE_1_0.txt)
 =============================================================================*/
 #include <iostream>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 
 using namespace std;
 
@@ -108,8 +108,8 @@
 
     parse_info<char const*> pi;
     pi = parse("123, 456, 789", nlist, space_p);
-    assert(pi.hit);
-    assert(pi.full);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
 
 #if defined(BOOST_SPIRIT_USE_GRAMMARDEF)
     num_list_ex nlistex;
@@ -117,30 +117,30 @@
 
     pi = parse("123, 456, 789", nlist.use_parser<num_list::default_rule>(),
         space_p);
-    assert(pi.hit);
-    assert(pi.full);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
 
     pi = parse("123", nlist.use_parser<num_list::num_rule>(), space_p);
-    assert(pi.hit);
-    assert(pi.full);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
 
     pi = parse("123, 456, 789", nlistex, space_p);
-    assert(pi.hit);
-    assert(pi.full);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
 
     pi = parse("123, 456, 789",
         nlistex.use_parser<num_list_ex::default_rule>(), space_p);
-    assert(pi.hit);
-    assert(pi.full);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
 
     pi = parse("123", nlistex.use_parser<num_list_ex::num_rule>(), space_p);
-    assert(pi.hit);
-    assert(pi.full);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
 
     pi = parse("123", nlistex.use_parser<num_list_ex::integer_rule>(),
         space_p);
-    assert(pi.hit);
-    assert(pi.full);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
 #endif // defined(BOOST_SPIRIT_USE_GRAMMARDEF)
 }
 
@@ -153,7 +153,6 @@
 main()
 {
     grammar_tests();
-    cout << "Tests concluded successfully\n";
-    return 0;
+    return boost::report_errors();
 }
 
Index: libs/spirit/test/loops_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/loops_tests.cpp,v
retrieving revision 1.8
diff -b -d -u -r1.8 loops_tests.cpp
--- libs/spirit/test/loops_tests.cpp	9 Jul 2004 08:30:38 -0000	1.8
+++ libs/spirit/test/loops_tests.cpp	18 Feb 2006 22:55:13 -0000
@@ -7,7 +7,7 @@
     http://www.boost.org/LICENSE_1_0.txt)
 =============================================================================*/
 #include <iostream>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 
 using namespace std;
 
@@ -27,84 +27,84 @@
     parse_info<char const*> pi;
 
     pi = parse("\"Hello World\"", "\"" >> *(anychar_p - "\"") >> "\"");
-    assert(pi.hit);
-    assert(pi.full);
-    assert(pi.length == 13);
-    assert(*pi.stop == 0);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
+    BOOST_TEST(pi.length == 13);
+    BOOST_TEST(*pi.stop == 0);
 
     pi = parse("\"Hello World\"", "\"" >> repeat_p(0, more)[anychar_p - "\""] >> "\"");
-    assert(pi.hit);
-    assert(pi.full);
-    assert(pi.length == 13);
-    assert(*pi.stop == 0);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
+    BOOST_TEST(pi.length == 13);
+    BOOST_TEST(*pi.stop == 0);
 
     pi = parse("xx", +ch_p('x'));
-    assert(pi.hit);
-    assert(pi.full);
-    assert(pi.length == 2);
-    assert(*pi.stop == 0);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
+    BOOST_TEST(pi.length == 2);
+    BOOST_TEST(*pi.stop == 0);
 
     pi = parse("xx", repeat_p(1, more)[ch_p('x')]);
-    assert(pi.hit);
-    assert(pi.full);
-    assert(pi.length == 2);
-    assert(*pi.stop == 0);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
+    BOOST_TEST(pi.length == 2);
+    BOOST_TEST(*pi.stop == 0);
 
     pi = parse("", +ch_p('x'));
-    assert(!pi.hit);
+    BOOST_TEST(!pi.hit);
 
     pi = parse("", repeat_p(1, more)[ch_p('x')]);
-    assert(!pi.hit);
+    BOOST_TEST(!pi.hit);
 
     pi = parse("", *ch_p('x'));
-    assert(pi.hit);
-    assert(pi.full);
-    assert(pi.length == 0);
-    assert(*pi.stop == 0);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
+    BOOST_TEST(pi.length == 0);
+    BOOST_TEST(*pi.stop == 0);
 
     pi = parse("", repeat_p(0, more)[ch_p('x')]);
-    assert(pi.hit);
-    assert(pi.full);
-    assert(pi.length == 0);
-    assert(*pi.stop == 0);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
+    BOOST_TEST(pi.length == 0);
+    BOOST_TEST(*pi.stop == 0);
 
     //  repeat exact 8
     rule<>  rep8 = repeat_p(8)[alpha_p] >> 'X';
-    assert(!parse("abcdefgX", rep8).hit);
-    assert(parse("abcdefghX", rep8).full);
-    assert(!parse("abcdefghiX", rep8).hit);
-    assert(!parse("abcdefgX", rep8).hit);
-    assert(!parse("aX", rep8).hit);
+    BOOST_TEST(!parse("abcdefgX", rep8).hit);
+    BOOST_TEST(parse("abcdefghX", rep8).full);
+    BOOST_TEST(!parse("abcdefghiX", rep8).hit);
+    BOOST_TEST(!parse("abcdefgX", rep8).hit);
+    BOOST_TEST(!parse("aX", rep8).hit);
 
     //  repeat 2 to 8
     rule<>  rep28 = repeat_p(2, 8)[alpha_p] >> '*';
-    assert(parse("abcdefg*", rep28).full);
-    assert(parse("abcdefgh*", rep28).full);
-    assert(!parse("abcdefghi*", rep28).hit);
-    assert(!parse("a*", rep28).hit);
+    BOOST_TEST(parse("abcdefg*", rep28).full);
+    BOOST_TEST(parse("abcdefgh*", rep28).full);
+    BOOST_TEST(!parse("abcdefghi*", rep28).hit);
+    BOOST_TEST(!parse("a*", rep28).hit);
 
     //  repeat 2 or more
     rule<>  rep2_ = repeat_p(2, more)[alpha_p] >> '+';
-    assert(parse("abcdefg+", rep2_).full);
-    assert(parse("abcdefgh+", rep2_).full);
-    assert(parse("abcdefghi+", rep2_).full);
-    assert(parse("abcdefg+", rep2_).full);
-    assert(!parse("a+", rep2_).hit);
+    BOOST_TEST(parse("abcdefg+", rep2_).full);
+    BOOST_TEST(parse("abcdefgh+", rep2_).full);
+    BOOST_TEST(parse("abcdefghi+", rep2_).full);
+    BOOST_TEST(parse("abcdefg+", rep2_).full);
+    BOOST_TEST(!parse("a+", rep2_).hit);
 
     //  repeat 0
     rule<>  rep0 = repeat_p(0)[alpha_p] >> '/';
-    assert(parse("/", rep0).full);
-    assert(!parse("a/", rep0).hit);
+    BOOST_TEST(parse("/", rep0).full);
+    BOOST_TEST(!parse("a/", rep0).hit);
 
     //  repeat 0 or 1
     rule<>  rep01 = repeat_p(0, 1)[alpha_p >> digit_p] >> '?';
-    assert(!parse("abcdefg?", rep01).hit);
-    assert(!parse("a?", rep01).hit);
-    assert(!parse("1?", rep01).hit);
-    assert(!parse("11?", rep01).hit);
-    assert(!parse("aa?", rep01).hit);
-    assert(parse("?", rep01).full);
-    assert(parse("a1?", rep01).full);
+    BOOST_TEST(!parse("abcdefg?", rep01).hit);
+    BOOST_TEST(!parse("a?", rep01).hit);
+    BOOST_TEST(!parse("1?", rep01).hit);
+    BOOST_TEST(!parse("11?", rep01).hit);
+    BOOST_TEST(!parse("aa?", rep01).hit);
+    BOOST_TEST(parse("?", rep01).full);
+    BOOST_TEST(parse("a1?", rep01).full);
 }
 
 ///////////////////////////////////////////////////////////////////////////////
@@ -116,7 +116,6 @@
 main()
 {
     loops_tests();
-    cout << "Tests concluded successfully\n";
-    return 0;
+    return boost::report_errors();
 }
 
